Subject: win95 problem
From: [email-masked] (Tim Newsham)

17 Jun 1997 14:38:12 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: ELM [version 2.4 PL24 PGP3 *ALPHA*]
Original-Sender: [email-masked]

Hi,

  I get an error when I run a shell script with a large argument
size (seems to be absolute count of characters, not the number
of individual arguments).  For example:

    #!/bin/sh
    echo $*

run as

    ./foo `cat bigfile`

where bigfile has about 8k or more characters gives me an exception:

  SH caused a stack fault in module KERNEL32.DLL at 0137:bff725c5.
  Registers:
  EAX=002a0037 CS=0137 EIP=bff725c5 EFLGS=00000283
  EBX=fda89000 SS=013f ESP=0257ba92 EBP=0257baa6
  ECX=00000005 DS=013f ESI=0257bab6 FS=10b7
  EDX=81556028 ES=013f EDI=81556028 GS=0000
  Bytes at CS:EIP:
  6a ff e8 b3 86 01 00 eb e7 55 8b ec 56 57 53 8b 
  Stack dump:
  fda89000 81556038 0257bab6 e7c0bff7 00148156 0257bb0c 
  bff7294f 81556028 0257bab6 176f1886 016f0028 00010000 
  92bb0000 0100fff1 efb80000 bc580257 

I don't believe this happens in NT (I ran into this problem
trying to build a package which builds fine under NT).

I'm using the b18 release.

                                       Tim N.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".